<template>
    <div class="column q-pa-md q-gutter-md">
        <div class="row items-center q-gutter-md">
            <div>
                <h5 class="q-ma-none">{{ module.Module_Name.replace(/_/g, ' ') }}</h5>
            </div>
            <div>
                <q-btn color="green" label="Create Expense Voucher" @click="form.open = true" />
            </div>
        </div>
        <b-table class="full-width" :module="module" table-name="Product_Lot_Stock"></b-table>
        <q-dialog v-model="form.open">
            <module-form></module-form>
        </q-dialog>
    </div>
</template>

<script>
export default {
    props: ['module'],
    components: {
        bTable: Vue.defineAsyncComponent(() => import(`components/widgets/b-table.vue`)),
        moduleForm: Vue.defineAsyncComponent(() => import(`components/modules/Inventory_Product_Lot_Stocks/form.vue`))
    },
    data() {
        return {
            form: {
                open: false,
                data: {}
            }
        }
    },

}
</script>
